
var FPS = 30;  // target frames per second  
var SECONDS_BETWEEN_FRAMES = 1 / FPS;  // time between frames 

//Initializing all the global variables
var g_GameObjectManager = null;  // A global reference to the GameObjectManager instance  
var g_ApplicationManager = null;  // A global reference to the ApplicationManager instance  @type ApplicationManager
var g_ResourceManager = null;  // A global reference to the ResourceManager instance  @type ResourceManager
var g_SoundManager = null;
var g_SoundTrack = null;
var g_Copies = null;	// A global reference to the array of copies  @type int
var g_Records = null;	// A global reference to all finished recorders  @type Array
//var g_score = 0;  // The players score
var g_player = null;  // A reference to the player  @type Player
var g_Speed = 350;     //Determines the speed at which the player and copies move  
var g_Level = 1; //A reference to the level the player is currently on  
var g_Gem = null;   //A reference to the objective item
var g_Portals = null; //A reference to the portal(s) in the level
var g_Obstacles = null;   //A list of the obstacles in a given level
var g_Scenery = null;	//A list of the non-collidable objects
var g_Pause = false;     //If true, stop updating everything
var g_Test = false;     //For debugging
var g_Time = 0;			//Current time of the hop
var g_Clock = 0;		//the Time limit for the level
var g_LastLevel = 25;     //True if it's the last level, which merits special conditions
	
//ratio of the original canvas size(600 x 360) to window size.
var g_RatioX = 1;
var g_RatioY = 1;


//Position of the mouse on the canvas
var g_MouseX = 0;
var g_MouseY = 0;

window.onload = init;  // The entry point of the application is set to the init function


// Application entry point
function init()
{
    new GameObjectManager().startupGameObjectManager();
}